action=history pages should return 404 HTTP error code if the page does not exist
Closed, ResolvedPublic

saper created this task.Sep 23 2016, 7:42 PM
Nuria added a comment.EditedSep 23 2016, 7:45 PM

These "fake 200s" affect metrics. We inflate our pageview numbers (however slightly) with these hits which cannot be pageviews as they have no content.

Many bots are hitting this one for example and using it as some kind of keep-alive: https://en.wikipedia.org/w/index.php?title=User%20:GoogleAnalitycsRoman6/google-api&action=history

See: https://phabricator.wikimedia.org/T145922

Change 312561 had a related patch set uploaded (by saper):
action=history should return 404 if no such page

https://gerrit.wikimedia.org/r/312561

saper triaged this task as "Normal" priority.Sep 23 2016, 8:10 PM
saper claimed this task.
Nuria moved this task from Incoming to Radar on the Analytics board.Sep 26 2016, 3:33 PM

Change 312561 merged by jenkins-bot:
action=history should return 404 if there is no such page

https://gerrit.wikimedia.org/r/312561

TTO closed this task as "Resolved".Oct 9 2016, 10:57 AM
TTO added a subscriber: TTO.

Seems to have been deployed.